"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataModel = void 0;
const base_1 = require("@jupyter-widgets/base");
const version_1 = require("./version");
class DataModel extends base_1.WidgetModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), {
            _model_module: DataModel.model_module,
            _model_module_version: DataModel.model_module_version,
            _view_name: DataModel.view_name,
            _view_module: DataModel.view_module,
            _view_module_version: DataModel.view_module_version,
        });
    }
}
exports.DataModel = DataModel;
DataModel.serializers = Object.assign({}, base_1.WidgetModel.serializers);
DataModel.model_module = 'jupyter-datawidgets';
DataModel.model_module_version = version_1.version;
DataModel.view_name = null;
DataModel.view_module = null;
DataModel.view_module_version = '';
//# sourceMappingURL=base.js.map