import { DataModel } from './base';
import { ISerializers, IDataWriteBack } from 'jupyter-dataserializers';
import ndarray = require('ndarray');
export declare class NDArrayBaseModel extends DataModel {
    defaults(): any;
    getNDArray(key?: string): ndarray.NdArray | null;
    static serializers: ISerializers;
}
export declare class NDArrayModel extends NDArrayBaseModel implements IDataWriteBack {
    defaults(): any;
    canWriteBack(key?: string): boolean;
    setNDArray(array: ndarray.NdArray | null, key?: string, options?: any): void;
    static serializers: ISerializers;
    static model_name: string;
}
//# sourceMappingURL=ndarray.d.ts.map