import { WidgetModel } from '@jupyter-widgets/base';
import { ISerializers, IDataSource } from 'jupyter-dataserializers';
import ndarray = require('ndarray');
export declare abstract class DataModel extends WidgetModel implements IDataSource {
    defaults(): any;
    abstract getNDArray(key?: string): ndarray.NdArray | null;
    static serializers: ISerializers;
    static model_module: string;
    static model_module_version: any;
    static view_name: null;
    static view_module: null;
    static view_module_version: string;
}
//# sourceMappingURL=base.d.ts.map